# pulp_container-client
No description provided (generated by Openapi Generator https://github.com/openapitools/openapi-generator)

This Python package is automatically generated by the [OpenAPI Generator](https://openapi-generator.tech) project:

- API version: v3
- Package version: 2.0.0b3
- Build package: org.openapitools.codegen.languages.PythonClientCodegen

## Requirements.

Python 2.7 and 3.4+

## Installation & Usage
### pip install

If the python package is hosted on a repository, you can install directly using:

```sh
pip install git+https://github.com/GIT_USER_ID/GIT_REPO_ID.git
```
(you may need to run `pip` with root permission: `sudo pip install git+https://github.com/GIT_USER_ID/GIT_REPO_ID.git`)

Then import the package:
```python
import pulpcore.client.pulp_container
```

### Setuptools

Install via [Setuptools](http://pypi.python.org/pypi/setuptools).

```sh
python setup.py install --user
```
(or `sudo python setup.py install` to install the package for all users)

Then import the package:
```python
import pulpcore.client.pulp_container
```

## Getting Started

Please follow the [installation procedure](#installation--usage) and then run the following:

```python
from __future__ import print_function

import time
import pulpcore.client.pulp_container
from pulpcore.client.pulp_container.rest import ApiException
from pprint import pprint

# Defining the host is optional and defaults to http://pulp
# See configuration.py for a list of all supported configuration parameters.
configuration = pulpcore.client.pulp_container.Configuration(
    host = "http://pulp"
)

# The client must configure the authentication and authorization parameters
# in accordance with the API server security policy.
# Examples for each auth method are provided below, use the example that
# satisfies your auth use case.

# Configure HTTP basic authorization: Basic
configuration = pulpcore.client.pulp_container.Configuration(
    username = 'YOUR_USERNAME',
    password = 'YOUR_PASSWORD'
)


# Enter a context with an instance of the API client
with pulpcore.client.pulp_container.ApiClient(configuration) as api_client:
    # Create an instance of the API class
    api_instance = pulpcore.client.pulp_container.ContentBlobsApi(api_client)
    ordering = 'ordering_example' # str | Which field to use when ordering the results. (optional)
digest = 'digest_example' # str | Filter results where digest matches value (optional)
digest__in = 'digest__in_example' # str | Filter results where digest is in a comma-separated list of values (optional)
repository_version = 'repository_version_example' # str | Repository Version referenced by HREF (optional)
repository_version_added = 'repository_version_added_example' # str | Repository Version referenced by HREF (optional)
repository_version_removed = 'repository_version_removed_example' # str | Repository Version referenced by HREF (optional)
media_type = 'media_type_example' # str |  (optional)
limit = 56 # int | Number of results to return per page. (optional)
offset = 56 # int | The initial index from which to return the results. (optional)
fields = 'fields_example' # str | A list of fields to include in the response. (optional)
exclude_fields = 'exclude_fields_example' # str | A list of fields to exclude from the response. (optional)

    try:
        # List blobs
        api_response = api_instance.list(ordering=ordering, digest=digest, digest__in=digest__in, repository_version=repository_version, repository_version_added=repository_version_added, repository_version_removed=repository_version_removed, media_type=media_type, limit=limit, offset=offset, fields=fields, exclude_fields=exclude_fields)
        pprint(api_response)
    except ApiException as e:
        print("Exception when calling ContentBlobsApi->list: %s\n" % e)
    
```

## Documentation for API Endpoints

All URIs are relative to *http://pulp*

Class | Method | HTTP request | Description
------------ | ------------- | ------------- | -------------
*ContentBlobsApi* | [**list**](docs/ContentBlobsApi.md#list) | **GET** /pulp/api/v3/content/container/blobs/ | List blobs
*ContentBlobsApi* | [**read**](docs/ContentBlobsApi.md#read) | **GET** {blob_href} | Inspect a blob
*ContentManifestsApi* | [**list**](docs/ContentManifestsApi.md#list) | **GET** /pulp/api/v3/content/container/manifests/ | List manifests
*ContentManifestsApi* | [**read**](docs/ContentManifestsApi.md#read) | **GET** {manifest_href} | Inspect a manifest
*ContentTagsApi* | [**list**](docs/ContentTagsApi.md#list) | **GET** /pulp/api/v3/content/container/tags/ | List tags
*ContentTagsApi* | [**read**](docs/ContentTagsApi.md#read) | **GET** {tag_href} | Inspect a tag
*ContentguardsContentRedirectApi* | [**create**](docs/ContentguardsContentRedirectApi.md#create) | **POST** /pulp/api/v3/contentguards/container/content_redirect/ | Create a content redirect content guard
*ContentguardsContentRedirectApi* | [**delete**](docs/ContentguardsContentRedirectApi.md#delete) | **DELETE** {content_redirect_content_guard_href} | Delete a content redirect content guard
*ContentguardsContentRedirectApi* | [**list**](docs/ContentguardsContentRedirectApi.md#list) | **GET** /pulp/api/v3/contentguards/container/content_redirect/ | List content redirect content guards
*ContentguardsContentRedirectApi* | [**partial_update**](docs/ContentguardsContentRedirectApi.md#partial_update) | **PATCH** {content_redirect_content_guard_href} | Partially update a content redirect content guard
*ContentguardsContentRedirectApi* | [**read**](docs/ContentguardsContentRedirectApi.md#read) | **GET** {content_redirect_content_guard_href} | Inspect a content redirect content guard
*ContentguardsContentRedirectApi* | [**update**](docs/ContentguardsContentRedirectApi.md#update) | **PUT** {content_redirect_content_guard_href} | Update a content redirect content guard
*DistributionsContainerApi* | [**create**](docs/DistributionsContainerApi.md#create) | **POST** /pulp/api/v3/distributions/container/container/ | Create a container distribution
*DistributionsContainerApi* | [**delete**](docs/DistributionsContainerApi.md#delete) | **DELETE** {container_distribution_href} | Delete a container distribution
*DistributionsContainerApi* | [**list**](docs/DistributionsContainerApi.md#list) | **GET** /pulp/api/v3/distributions/container/container/ | List container distributions
*DistributionsContainerApi* | [**partial_update**](docs/DistributionsContainerApi.md#partial_update) | **PATCH** {container_distribution_href} | Partially update a container distribution
*DistributionsContainerApi* | [**read**](docs/DistributionsContainerApi.md#read) | **GET** {container_distribution_href} | Inspect a container distribution
*DistributionsContainerApi* | [**update**](docs/DistributionsContainerApi.md#update) | **PUT** {container_distribution_href} | Update a container distribution
*RemotesContainerApi* | [**create**](docs/RemotesContainerApi.md#create) | **POST** /pulp/api/v3/remotes/container/container/ | Create a container remote
*RemotesContainerApi* | [**delete**](docs/RemotesContainerApi.md#delete) | **DELETE** {container_remote_href} | Delete a container remote
*RemotesContainerApi* | [**list**](docs/RemotesContainerApi.md#list) | **GET** /pulp/api/v3/remotes/container/container/ | List container remotes
*RemotesContainerApi* | [**partial_update**](docs/RemotesContainerApi.md#partial_update) | **PATCH** {container_remote_href} | Partially update a container remote
*RemotesContainerApi* | [**read**](docs/RemotesContainerApi.md#read) | **GET** {container_remote_href} | Inspect a container remote
*RemotesContainerApi* | [**update**](docs/RemotesContainerApi.md#update) | **PUT** {container_remote_href} | Update a container remote
*RepositoriesContainerApi* | [**add**](docs/RepositoriesContainerApi.md#add) | **POST** {container_repository_href}add/ | Add content
*RepositoriesContainerApi* | [**build_image**](docs/RepositoriesContainerApi.md#build_image) | **POST** {container_repository_href}build_image/ | Build an Image
*RepositoriesContainerApi* | [**copy_manifests**](docs/RepositoriesContainerApi.md#copy_manifests) | **POST** {container_repository_href}copy_manifests/ | Copy manifests
*RepositoriesContainerApi* | [**copy_tags**](docs/RepositoriesContainerApi.md#copy_tags) | **POST** {container_repository_href}copy_tags/ | Copy tags
*RepositoriesContainerApi* | [**create**](docs/RepositoriesContainerApi.md#create) | **POST** /pulp/api/v3/repositories/container/container/ | Create a container repository
*RepositoriesContainerApi* | [**delete**](docs/RepositoriesContainerApi.md#delete) | **DELETE** {container_repository_href} | Delete a container repository
*RepositoriesContainerApi* | [**list**](docs/RepositoriesContainerApi.md#list) | **GET** /pulp/api/v3/repositories/container/container/ | List container repositorys
*RepositoriesContainerApi* | [**partial_update**](docs/RepositoriesContainerApi.md#partial_update) | **PATCH** {container_repository_href} | Partially update a container repository
*RepositoriesContainerApi* | [**read**](docs/RepositoriesContainerApi.md#read) | **GET** {container_repository_href} | Inspect a container repository
*RepositoriesContainerApi* | [**remove**](docs/RepositoriesContainerApi.md#remove) | **POST** {container_repository_href}remove/ | Remove content
*RepositoriesContainerApi* | [**sync**](docs/RepositoriesContainerApi.md#sync) | **POST** {container_repository_href}sync/ | Sync from a remote
*RepositoriesContainerApi* | [**tag**](docs/RepositoriesContainerApi.md#tag) | **POST** {container_repository_href}tag/ | Create a Tag
*RepositoriesContainerApi* | [**untag**](docs/RepositoriesContainerApi.md#untag) | **POST** {container_repository_href}untag/ | Delete a tag
*RepositoriesContainerApi* | [**update**](docs/RepositoriesContainerApi.md#update) | **PUT** {container_repository_href} | Update a container repository
*RepositoriesContainerPushApi* | [**create**](docs/RepositoriesContainerPushApi.md#create) | **POST** /pulp/api/v3/repositories/container/container-push/ | Create a container push repository
*RepositoriesContainerPushApi* | [**delete**](docs/RepositoriesContainerPushApi.md#delete) | **DELETE** {container_push_repository_href} | Delete a container push repository
*RepositoriesContainerPushApi* | [**list**](docs/RepositoriesContainerPushApi.md#list) | **GET** /pulp/api/v3/repositories/container/container-push/ | List container push repositorys
*RepositoriesContainerPushApi* | [**partial_update**](docs/RepositoriesContainerPushApi.md#partial_update) | **PATCH** {container_push_repository_href} | Partially update a container push repository
*RepositoriesContainerPushApi* | [**read**](docs/RepositoriesContainerPushApi.md#read) | **GET** {container_push_repository_href} | Inspect a container push repository
*RepositoriesContainerPushApi* | [**update**](docs/RepositoriesContainerPushApi.md#update) | **PUT** {container_push_repository_href} | Update a container push repository
*RepositoriesContainerVersionsApi* | [**delete**](docs/RepositoriesContainerVersionsApi.md#delete) | **DELETE** {container-push_repository_version_href} | Delete a repository version
*RepositoriesContainerVersionsApi* | [**delete_0**](docs/RepositoriesContainerVersionsApi.md#delete_0) | **DELETE** {container_repository_version_href} | Delete a repository version
*RepositoriesContainerVersionsApi* | [**list**](docs/RepositoriesContainerVersionsApi.md#list) | **GET** /pulp/api/v3/repositories/container/container-push/{container-push_repository_pk}/versions/ | List repository versions
*RepositoriesContainerVersionsApi* | [**list_0**](docs/RepositoriesContainerVersionsApi.md#list_0) | **GET** {container_repository_href}versions/ | List repository versions
*RepositoriesContainerVersionsApi* | [**read**](docs/RepositoriesContainerVersionsApi.md#read) | **GET** {container-push_repository_version_href} | Inspect a repository version
*RepositoriesContainerVersionsApi* | [**read_0**](docs/RepositoriesContainerVersionsApi.md#read_0) | **GET** {container_repository_version_href} | Inspect a repository version
*RepositoriesContainerVersionsApi* | [**repair**](docs/RepositoriesContainerVersionsApi.md#repair) | **POST** {container-push_repository_version_href}repair/ | 
*RepositoriesContainerVersionsApi* | [**repair_0**](docs/RepositoriesContainerVersionsApi.md#repair_0) | **POST** {container_repository_version_href}repair/ | 
*TokenApi* | [**list**](docs/TokenApi.md#list) | **GET** /token/ | 


## Documentation For Models

 - [AsyncOperationResponse](docs/AsyncOperationResponse.md)
 - [ContainerBlob](docs/ContainerBlob.md)
 - [ContainerContainerDistribution](docs/ContainerContainerDistribution.md)
 - [ContainerContainerPushRepository](docs/ContainerContainerPushRepository.md)
 - [ContainerContainerRemote](docs/ContainerContainerRemote.md)
 - [ContainerContainerRepository](docs/ContainerContainerRepository.md)
 - [ContainerContentRedirectContentGuard](docs/ContainerContentRedirectContentGuard.md)
 - [ContainerManifest](docs/ContainerManifest.md)
 - [ContainerTag](docs/ContainerTag.md)
 - [ContentSummary](docs/ContentSummary.md)
 - [InlineResponse200](docs/InlineResponse200.md)
 - [InlineResponse2001](docs/InlineResponse2001.md)
 - [InlineResponse2002](docs/InlineResponse2002.md)
 - [InlineResponse2003](docs/InlineResponse2003.md)
 - [InlineResponse2004](docs/InlineResponse2004.md)
 - [InlineResponse2005](docs/InlineResponse2005.md)
 - [InlineResponse2006](docs/InlineResponse2006.md)
 - [InlineResponse2007](docs/InlineResponse2007.md)
 - [InlineResponse2008](docs/InlineResponse2008.md)
 - [ManifestCopy](docs/ManifestCopy.md)
 - [RecursiveManage](docs/RecursiveManage.md)
 - [RepositorySyncURL](docs/RepositorySyncURL.md)
 - [RepositoryVersion](docs/RepositoryVersion.md)
 - [TagCopy](docs/TagCopy.md)
 - [TagImage](docs/TagImage.md)
 - [UnTagImage](docs/UnTagImage.md)


## Documentation For Authorization


## Basic

- **Type**: HTTP basic authentication


## Author




